Qt Reference Documentation

# QStyleOptionFrameV3 Class Reference

The QStyleOptionFrameV3 class is used to describe the parameters necessary for drawing a frame in Qt 4.1 or above. More...

     #include <QStyleOptionFrameV3>

Inherits: QStyleOptionFrameV2.

This class was introduced in Qt 4.5.

- List of all members, including inherited members

## Public Types

enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionFrameV3 ()
| QStyleOptionFrameV3 ( const QStyleOptionFrameV3 & other )
| QStyleOptionFrameV3 ( const QStyleOptionFrame & other )
QStyleOptionFrameV3 & | operator= ( const QStyleOptionFrame & other )

- 1 public function inherited from QStyleOptionFrameV2
- 2 public functions inherited from QStyleOption

## Public Variables

QFrame::Shape | frameShape:4

- 1 public variable inherited from QStyleOptionFrameV2
- 2 public variables inherited from QStyleOptionFrame
- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionFrameV3 class is used to describe the parameters necessary for drawing a frame in Qt 4.1 or above.

QStyleOptionFrameV3 inherits QStyleOptionFrameV2

An instance of the QStyleOptionFrameV3 class has type SO_Frame and version 3. The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles. The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also QStyleOptionFrameV2 and QStyleOption.

## Member Type Documentation

### enum QStyleOptionFrameV3::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionFrameV3::Version` | `3` | 3

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionFrameV3::QStyleOptionFrameV3 ()

Constructs a QStyleOptionFrameV3 object.

### QStyleOptionFrameV3::QStyleOptionFrameV3 ( const QStyleOptionFrameV3 & other )

Constructs a QStyleOptionFrameV3 copy of the other style option.

### QStyleOptionFrameV3::QStyleOptionFrameV3 ( const QStyleOptionFrame & other )

Constructs a QStyleOptionFrameV3 copy of the other style option which can be either of the QStyleOptionFrameV3 or QStyleOptionFrame types.

If the other style option's version is 1, the new style option's FrameFeature value is set to QStyleOptionFrameV2::None. If its version is 2 or lower, QStyleOptionFrameV3::frameShape value is QFrame::NoFrame

See also version.

### QStyleOptionFrameV3 & QStyleOptionFrameV3::operator= ( const QStyleOptionFrame & other )

Assigns the other style option to this style option. The other style option can be either of the QStyleOptionFrameV3, QStyleOptionFrameV2 or QStyleOptionFrame types.

If the other style option's version is 1, the new style option's FrameFeature value is set to QStyleOptionFrameV2::None. If its version is 2 or lower, QStyleOptionFrameV3::frameShape value is QFrame::NoFrame

## Member Variable Documentation

### QFrame::Shape QStyleOptionFrameV3::frameShape:4

This variable holds this property holds the frame shape value of the frame.

See also QFrame::frameShape.